//
//  ViewController.m
//  JavaScript
//
//  Created by nyuguest on 8/9/13.
//  Copyright (c) 2013 nyuguest. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@end

@implementation ViewController

- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
	}
	return self;
}

#pragma mark - View lifecycle

// Implement loadView to create a view hierarchy programmatically, without using a nib.

- (void) loadView
{
	NSBundle *bundle = [NSBundle mainBundle];
	NSString *fileName = [bundle pathForResource: @"javascript" ofType: @"html"];
	NSData *data = [NSData dataWithContentsOfFile: fileName];

	UIWebView *webView = [[UIWebView alloc] initWithFrame: [UIScreen mainScreen].applicationFrame];
	webView.delegate = self;

	if (data == nil) {
		[webView loadHTMLString: @"Could not load page." baseURL: nil];
	} else {
		[webView loadData: data
			MIMEType: @"text/html"
		 	textEncodingName: @"utf-8"
			baseURL: [NSURL URLWithString: @"http://maps.google.com/"]
		];
	}

	self.view = webView;
}

- (void) viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.
}

#pragma mark -
#pragma mark protocol UIWebViewDelegate

- (void) webViewDidFinishLoad: (UIWebView *) webView {
	
	NSString *javaScript = [NSString stringWithFormat:
		@"showmap(%.15g, %.15g, %d);",
		//7 East 12th Street, New York, NY  10003
		40.73454291744775,  //latitude
		-73.99410576491357, //longitude (west of Greenwich is negative)
		18                  //zoom level
	];
	NSLog(@"javaScript == \"%@\"", javaScript);

	NSString *retVal = [webView stringByEvaluatingJavaScriptFromString: javaScript];
	if (retVal == nil) {
		NSLog(@"stringByEvaluatingJavaScriptFromString: failed.");
	}
	NSLog(@"retVal == %@", retVal);
	
	int n = retVal.intValue;
	NSLog(@"n == %d", n);
}

#pragma mark -

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

@end
